spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | List of all members
spot::environment Class Referenceabstract

An environment that describes atomic propositions. More...

`#include <spot/tl/environment.hh>`

Inheritance diagram for spot::environment:
Collaboration diagram for spot::environment:

## Public Member Functions
virtual formula | require (const std::string &prop_str)=0
| Obtain the formula associated to prop_str. More...
virtual const std::string & | name () const =0
| Get the name of the environment. More...

## Detailed Description

An environment that describes atomic propositions.

## Member Function Documentation

virtual const std::string& spot::environment::name | ( |  | ) | const
| pure virtual

Get the name of the environment.

Implemented in spot::declarative_environment, and spot::default_environment.

virtual formula spot::environment::require | ( | const std::string & | prop_str | ) |
| pure virtual

Obtain the formula associated to prop_str.

Usually prop_str, is the name of an atomic proposition, and spot::require simply returns the associated spot::formula.

Note this is not a `const` method. Some environments will "create" the atomic proposition when requested.

Returns
  0 iff prop_str is not part of the environment, or the associated spot::formula otherwise.

Implemented in spot::declarative_environment, and spot::default_environment.

The documentation for this class was generated from the following file:

- spot/tl/environment.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.